Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint.advised
Class SessionAdvised

    java.lang.Object
      org.jboss.jms.server.endpoint.advised.AdvisedSupport
          org.jboss.jms.server.endpoint.advised.SessionAdvised

All Implemented Interfaces:
  Closeable, SessionEndpoint

public class SessionAdvised
extends AdvisedSupport
implements SessionEndpoint

The server-side advised instance corresponding to a Session. It is bound to the AOP Dispatcher's map.

Version:
  `$Revision: 1.4 $` $Id: SessionAdvised.java,v 1.4 2006/03/11 14:26:18 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected SessionEndpoint` | `endpoint`

Constructor Summary
`SessionAdvised(SessionEndpoint endpoint)`

Method Summary
`void` | `acknowledge()` Acknowledges the session
`void` | `addTemporaryDestination(JBossDestination destination)` Add a temporary destination.
`void` | `cancelDeliveries()`
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`BrowserDelegate` | `createBrowserDelegate(JBossDestination queue, java.lang.String messageSelector)`
`ConsumerDelegate` | `createConsumerDelegate(JBossDestination destination, java.lang.String selector, boolean noLocal, java.lang.String subscriptionName, boolean connectionConsumer)`
`JBossQueue` | `createQueue(java.lang.String queueName)` Creates a queue identity given a Queue name.
`JBossTopic` | `createTopic(java.lang.String topicName)` Creates a topic identity given a Queue name.
`void` | `deleteTemporaryDestination(JBossDestination destination)` Delete a temporary destination
`java.lang.Object` | `getEndpoint()`
`void` | `send(JBossMessage msg)`
`java.lang.String` | `toString()`
`void` | `unsubscribe(java.lang.String subscriptionName)` Unsubscribe the client from the durable subscription specified by subscriptionName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected SessionEndpoint endpoint

Constructor Detail

### SessionAdvised

    public SessionAdvised(SessionEndpoint endpoint)

Method Detail

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### send

    public void send(JBossMessage msg)
              throws JMSException

  Specified by:
    `send` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createConsumerDelegate

    public ConsumerDelegate createConsumerDelegate(JBossDestination destination,
                                                   java.lang.String selector,
                                                   boolean noLocal,
                                                   java.lang.String subscriptionName,
                                                   boolean connectionConsumer)
                                            throws JMSException

  Specified by:
    `createConsumerDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createBrowserDelegate

    public BrowserDelegate createBrowserDelegate(JBossDestination queue,
                                                 java.lang.String messageSelector)
                                          throws JMSException

  Specified by:
    `createBrowserDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createQueue

    public JBossQueue createQueue(java.lang.String queueName)
                           throws JMSException

  Description copied from interface: `SessionEndpoint`
  Creates a queue identity given a Queue name. Does NOT create the physical queue. The physical creation of queues is an administrative task and is not to be initiated by the JMS API, with the exception of temporary queues.

  Specified by:
    `createQueue` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createTopic

    public JBossTopic createTopic(java.lang.String topicName)
                           throws JMSException

  Description copied from interface: `SessionEndpoint`
  Creates a topic identity given a Queue name. Does NOT create the physical topic. The physical creation of topics is an administrative task and is not to be initiated by the JMS API, with the exception of temporary topics.

  Specified by:
    `createTopic` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### acknowledge

    public void acknowledge()
                     throws JMSException

  Description copied from interface: `SessionEndpoint`
  Acknowledges the session

  Specified by:
    `acknowledge` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries()
                          throws JMSException

  Specified by:
    `cancelDeliveries` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### addTemporaryDestination

    public void addTemporaryDestination(JBossDestination destination)
                                 throws JMSException

  Description copied from interface: `SessionEndpoint`
  Add a temporary destination.

  Specified by:
    `addTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### deleteTemporaryDestination

    public void deleteTemporaryDestination(JBossDestination destination)
                                    throws JMSException

  Description copied from interface: `SessionEndpoint`
  Delete a temporary destination

  Specified by:
    `deleteTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### unsubscribe

    public void unsubscribe(java.lang.String subscriptionName)
                     throws JMSException

  Description copied from interface: `SessionEndpoint`
  Unsubscribe the client from the durable subscription specified by subscriptionName

  Specified by:
    `unsubscribe` in interface `SessionEndpoint`
  Parameters:
    `subscriptionName` - the Name of the durable subscription to unsubscribe from
  Throws:
    `JMSException`

### getEndpoint

    public java.lang.Object getEndpoint()

  Specified by:
    `getEndpoint` in class `AdvisedSupport`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.